make-dfsg (4.0-8.1+dyson1) unstable; urgency=medium

  * Package for Dyson
  * Added debian/patches/dyson-sunos-make.patch
  * Added debian/make.links with gmake-to-make symlinks

 -- Igor Pashev <pashev.igor@gmail.com>  Tue, 24 Mar 2015 23:02:38 +0300

make-dfsg (4.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip the work/misc/fopen-fail.mk as it is testing the underlying
    machine, not the built code from the package and is machine-dependent.
    (Closes: #748657)

 -- Neil Williams <codehelp@debian.org>  Sat, 17 Jan 2015 18:30:17 +0000

make-dfsg (4.0-8) unstable; urgency=high

  * Update the timeout for the fopen fail test to 300 seconds, since the
    test was taking longer than the default 5 seconds to run. The root
    cause was discovered by Víctor M. Jáquez L. (Closes: #748657)
  * Bug fix #748657: "make-dfsg failed to run test: work/misc/fopen-fail.mk",
    thanks to Yunqiang Su.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Jun 2014 15:54:27 -0700

make-dfsg (4.0-7) unstable; urgency=low

  * There is an issue involving UTF-8 characters and the function
    find_char_unquote (read.c). The problem in the macro STOP_SET
    (makeint.h) where a character is converted to an int. Conversion to
    int is not correct. Characters with codes greater than 0x7f ( in
    particular in Cyrillic UTF- 8 ) into a large negative number. Thnks to
    the analysis from Юрий Матронов <ymuser@mail.ru>. This bug was
    independently reported and fixed upstream, so cherry picking that
    commit from upstream (which also comes with a test).
    (Closes: #747764).
  * added a script that, given a list of targets, will build the first
    target that actually exists. Script created by Joey Hess.
    (Closes: #598534).
  * Bug fix #747764: "make 4.0-5 bug", thanks to Юрий Матронов
  * Bug fix #598534: "add make-first-existing-target", thanks to Joey Hess

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 May 2014 18:22:39 -0700

make-dfsg (4.0-6) unstable; urgency=medium

  * Also create a new binary package, make-guile, which is identical to
    the make package, but has built in support for Guile a a programming
    langiage, and adds run time dependencies outside of libc.
    (Closes: #747615,  #747674).
  * Bug fix #747615: "Please provide a version with Guile support
    enabled", thanks to Jose Antonio Ortega Ruiz
  * Bug fix #747674: "undeterministic build due to missing configure
    arguments/build-conflicts", thanks to Bernhard R. Link

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 11 May 2014 20:51:24 -0700

make-dfsg (4.0-5) unstable; urgency=low

  * When presented with a very very long command line (e.g. WebKit's linking
    of libWebCore.la in current git), make fails to execute the command as
    it doesn't split the command line to fit within the limits. There is a
    patch used by people to solve this (gentoo, etc). Adam Conrad has
    provided a patch to fix this.  (Closes: #688601).
  * Pre-4.0 make had an memory corruption issue that caused repeated
    execution of a specific makefile to display the cirruption. Running
    with make 4.0 does not show the issue. (Closes: #682895).
  * recently, the Multi-Arch: foreign tag was added toth make binary
    package.  Jakub Wilk pointed out that this is not correct, some of the
    make interfaces are actually architecture-dependent. Reverting that
    change.
  * Bug fix #688601: "fails to execute extraordinarily long command
    lines", thanks to Daniel Stone
  * Bug fix #682895: "incorrect variable handling and corruption", thanks
    to Tim Spriggs

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 04 May 2014 18:13:40 -0700

make-dfsg (4.0-4) unstable; urgency=low

  * Movint this version of make to unstable, All known problems exposed in
    the archive rebuild have been fixed. There is no change in this
    version apart from the ditribution change

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 02 May 2014 18:32:32 -0700

make-dfsg (4.0-3) experimental; urgency=medium

  * Cherry pick upstream patch to Propagate correct rule status results.
  * Bug fix: "New make behaviour confuses dpkg-buildpackages&#39; test for
    make targets". Fixed by above. (Closes: #746443).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 01 May 2014 22:09:08 -0700

make-dfsg (4.0-2) experimental; urgency=medium

  * Pull back some patches from upstream git that fix bugs. One of these
    converts the mixed implicit and explicit rule error into a warning,
    and that should give us a grace period to fix the Makefiles,
  * Bug fix: "FTBFS with make 3.82 from experimental", thanks to Daniel
    Schepler. This package was not reported broken in the archive rebuild:
    see http://aws-logs.debian.net/ftbfs-logs/results-make4/ (Closes: #720686).
  * Bug fix: "make 3.82: with -j tries to run receipes without
    prerequisites yet done", thanks to Bernhard R. Link. This was not seen
    in the archive rebuild, and the upstream report has ben closed a being
    fixed in 4.0 (Closes: #722520).
  * Bug fix: "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4", thanks to Wookey. We now do indeed run
    autoreconf.  (Closes: #689626).
  * Bug fix: "spurious circular dependency", thanks to Frank Heckenbach
    Bug fixed in new version.  (Closes: #669968).
  * Bug fix: "make 3.82: fails to parse archive syntax", thanks to Andrew
    Shadura (Closes: #675612).
  * Bug fix: "binary package make lacks &quot;Multi-Arch: foreign&quot;
    declaration", thanks to Helmut Grohne (Closes: #693926).
  * Bug fix: "make 3.82 breaks kernel module build: &#39;mixed implicit
    and normal rules&#39; in linux-headers-*", thanks to Dean Loros
    (Closes: #635317).
  * Bug fix: "please package upstream version 4.0", thanks to Andrew
    Shadura (Closes: #734387).
  * Bug fix: "optionally echo all commands, even if preceded with @",
    thanks to Vincent Lefevre (Closes: #451092).
  * Bug fix: "&quot;Make is a HUGE memory hog&quot;", thanks to Matthias
    Klose (Closes: #342726).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Apr 2014 23:57:19 -0700

make-dfsg (4.0-1) experimental; urgency=low

  * New upstream release

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 12 Apr 2014 18:49:59 -0700

make-dfsg (3.82-1) experimental; urgency=low

  * New upstream release. A complete list of bugs fixed in this version is
    available here:
  http://sv.gnu.org/bugs/index.php?group=make&report_id=111&fix_release_id=104&set=custom
  * Bug fix: "parallel (-j2) make with $(eval) construct segfaults",
    thanks to Bjoern Michaelsen.The fix has been included in the new
    version.                                          (Closes: #622644).
  * Bug fix: "improving the package description (again)", thanks to Justin
    B Rye                                             (Closes: #612195).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 18 Jul 2011 01:05:46 -0700

make-dfsg (3.81-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * remake.c, configure.in: prepend multiarch paths to the library path in
    library_search() when we have a target dependency of '-lfoo', so that
    this still works when all our libraries are moving to multiarch library
    directories.  Closes: #618840, LP: #737641.

 -- Steve Langasek <vorlon@debian.org>  Sat, 09 Apr 2011 19:51:46 +0000

make-dfsg (3.81-8) unstable; urgency=low

  * New bug fixing release.
  * [a6f53b8]: [topic--overlap-strcpy-fix]: make corrupts commands with
    latest eglibc make uses strcpy() on overlapping strings, recent
    (e)glibc doesn't tolerate this. strcpy is not defined to work on
    overlapping regions. This is upstream bug
    https://savannah.gnu.org/bugs/index.php?29253 The fix comes thanks
    to Roderich Schupp and Max Bowsher.
    Bug fix: "make corrupts commands with latest eglibc (strcpy of
    overlapping strings)", thanks to Roderich Schupp    (Closes: #568665).
  * Bug fix: "make package built from source missing libc6 dependency",
    thanks to Daniel Schepler                           (Closes: #569924).
  * Bug fix: "Please build-depend on autopoint", thanks to Santiago Vila
                                                         (Closes: #572474).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 21 Mar 2010 12:42:55 -0700

make-dfsg (3.81-7) unstable; urgency=low

  * Checked against latest policy. Added  few minor tweaks to fix problems
    pointed out b lintian, and removed a false positive lintian check.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 01 Nov 2009 20:28:51 -0600

make-dfsg (3.81-6) unstable; urgency=low

  * [debian:8ea2843]: [make-dfsg]: Update package description
    Update and trim the package description.
    Bug fix: "improving the package description", thanks to Justin B Rye
                                                       (Closes: #508456).
  * [debian:586087b]: [make-dfsg]: Use autoreconf to refresh the build system.
    Bug fix: "FTBFS: Outdated config.{sub,guess}", thanks to Bradley Smith
                                                        (Closes: #533681).
  * [4ae7fd6]: [topic--override-fix]: Fix override behaviour discrepancies
    target specific override appears to be ignored completely if the
    variable is passed on the command line. Closes: 524378
    Bug fix: "corner cases in &#39;override&#39; logic for variables",
    thanks to Ron                                        (Closes: #524378).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 21 Jun 2009 11:40:43 -0500

make-dfsg (3.81-5) unstable; urgency=low

  * Record the fact that this package has moved to a new git repository.
  * Move to the new, make -j friendly targets in debian/rules.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Jun 2008 09:37:36 -0500

make-dfsg (3.81-4) unstable; urgency=low

  * NMU ack.  double free or corruption bug on file globbing, 419190.
  * Bug fix: "make: Directory Search for Link Libraries does not look in
    /usr/local/lib", thanks to Daniel Barlow.  In the Debian binaries,
    PREFIX is /usr and thus this searches /lib,  /usr/lib and /usr/lib
    again and therefore misses any libraries that  are not packaged and
    were installed by the site admin.  The ideal behaviour would be to
    have the search path set by a Makefile variable (other than the VPATH
    blunt object) but even absent that, it would be more useful if it
    looked in /usr/local/lib even though make itself hasn't been installed
    in the /usr/local tree.                          Closes: Bug#288592
  * Bug fix: "make: make should suggest make-doc not make-doc-non-dfsg
    which is a source package", thanks to lukpank@o2.pl (Łukasz Pankowski)
                                                     Closes: Bug#473759

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 03 Apr 2008 02:04:02 -0500

make-dfsg (3.81-3.1) unstable; urgency=low

  * NMU with permission.
  * Bug fix: Avoid double-free on file globbing. (Closes: #419190).
  * Misc: Updated standards version to 3.7.3 (no changes)

 -- Steve Kemp <skx@debian.org>  Thu, 13 Mar 2008 19:50:10 +0000

make-dfsg (3.81-3) unstable; urgency=low

  * Bug fix: "typo in make.1", thanks to LI Daobing (Closes: #375984).
  * Bug fix: "Please suggest make-doc", thanks to Moritz Muehlenhoff
                                                    (Closes: #362297).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 15:10:59 -0500

make-dfsg (3.81-2) unstable; urgency=low

  * Bug fix: "Please suggest make-doc", thanks to Moritz Muehlenhoff
                                                             (Closes: #362297).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 May 2006 21:49:55 -0500

make-dfsg (3.81-1) unstable; urgency=low

  * New upstream release

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Apr 2006 17:24:57 -0500

make-dfsg (3.80+3.81.rc2-1) unstable; urgency=low

  * New upstream release candidate.
  * Bug fix: "Make always recompiles everything in the Linux Kernel.",
    thanks to Neil Brown. This is really a bug in the kernel build system,
    not make. However, this release defers the change so as not to trigger
    the bug.                                      (Closes: #356552, #356630).


 -- Manoj Srivastava <srivasta@debian.org>  Mon, 20 Mar 2006 15:37:15 -0600

make (3.80+3.81.rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Bug fix: "make: the '-W <file>' option used with VPATH does not work
    correctly", thanks to Jeff Sheinberg                  (Closes: #107624).
  * Bug fix: "make shows incorrect line number in error report", thanks to
    Nikita V. Youshchenko                                 (Closes: #274840).
  * Bug fix: "make: [doc] Implicit Rules: C++", thanks to LI Daobing
                                                          (Closes: #335044).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 24 Feb 2006 16:56:54 -0600

make (3.80+3.81.b4-1) unstable; urgency=low

  * New upstream pre release
  * Bug fix: "FTBFS due to timestamp skews", thanks to Loïc Minier
    Use MAINTAINER_MODE instead.                        (Closes: #343069).
  * Bug fix: "make: Missing information about backward-incompatibility",
    thanks to Vincent Lefevre. As Ken Bloom pointed out, the correct
    section is command execution.                        (Closes: #343088).
  * Since there is a new texinfo.tex we use now, no longer remove it,
    since autoreconf shall fail if that file is missing.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Dec 2005 22:43:19 -0600

make (3.80+3.81.b3.1-1) unstable; urgency=low

  * New upstream CVS HEAD (we are in a pre-release mode.
  * Bug fix: "make: new version breaks cdbs", thanks to Aurelien Jarno
                                                         (Closes: #342879).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 Dec 2005 13:38:47 -0600

make (3.80+3.81.b3-1) unstable; urgency=low

  * New upstream pre-release.
  * Bug fix: "make: continued command lines are not passed to the shell
    correctly", thanks to Jeff Sheinberg. This has been fixed in this release.
    (http://savannah.gnu.org/bugs/?func=detailitem&item_id=1332)  (Closes: #59311).
  * Bug fix: "make: bogus output of make -np", thanks to P�sztorSzil�rd I
    believe this bug is the result of a known, rare, and already-fixed
    problem with the parser that occurs if a line is exactly the right
    length.                                                      (Closes: #117566).
  * Bug fix: "make segfault with -t", thanks to Philipp Meier
    (https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=1418)
                                                                 (Closes: #279900).
  * Bug fix: "make -f '' dumps core", thanks to Peter Maydell    (Closes: #164165).
  * Bug fix: "make: documentation of VPATH does not match behavior",
    thanks to Matthew Swift                                       (Closes: #176639).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  9 Dec 2005 21:28:14 -0600

make (3.80-12) unstable; urgency=low

  * Bug fix: "FTBFS: DVI file cannot be opened", thanks to Matt Kraai. It
    seemed odd to me that the buildd's do not seem to have a problem. On
    investigation, if one does an apt-get source make,
    ./config/texinfo.tex is still there: merely removing it from my
    working tree does not remove it from the unpacked, patched source
    tree, since diff merely ignores file deletions. I worked for me, since
    the file was actually gone from my working dir; it worked on buildd's,
    since they never remake the arch independent parts. So, now we
    aggressively delete ./config/texinfo.tex all through the build and
    clean process.                                          (Closes: #334953).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Dec 2005 11:19:45 -0600

make (3.80-11) unstable; urgency=low

  * Bug fix: "make: FTBFS with teTeX-3.0", thanks to Frank Küster. Remove
    the offending file (though not just in the clean target) (Closes: #322353).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Aug 2005 14:09:28 -0500

make (3.80-10) unstable; urgency=low

  * Bug fix: "FTBFS: Cannot find HTML documentation", thanks to Matt Kraai
                                                           (Closes: #317859).
  * Bug fix: "make: [INTL:de] German PO file corrections", thanks to Jens
    Seidel                                                 (Closes: #313988).
  * Bug fix: "make: broken reference in info documentation", thanks to
    Jason McCarty                                          (Closes: #286766).
  * Bug fix: "make: eval function within 'ifeq... else... endif' causes
    error", thanks to François Duranleau                   (Closes: #296482).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  7 Aug 2005 08:23:35 -0500

make (3.80-9) unstable; urgency=low

  * Bug fix: "make: reads uninitialized memory", thanks to Steinar
    H. Gunderson                                    (Closes: #260468).
  * Bug fix: "XSI:ism in debian-scripts", thanks to David Weinehall
                                                    (Closes: #257578).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Jul 2004 13:01:45 -0500

make (3.80-8) unstable; urgency=low

  * Bug fix: "make: Explanations file cut off on right", thanks to Ross
    Boylan                                             (Closes: #253357).
  * Removed the old dwww/menu entry. Now we use the preferred doc-base
    registration method.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Jun 2004 00:19:49 -0500

make (3.80-7) unstable; urgency=low

  * Bug fix: "make: some options missing from manpage", thanks to Martin
    Pool. This also was previously raised in #233474. I added a note to
    the man page stating that the list of options is a partial list, and
    pointed to the info docs for an authoritative list. (Closes: #243845).
  * Bug fix: "make: German l10n: Updating po/de.po", thanks to Florian
    Ernst                                               (Closes: #244119).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 16:32:07 -0500

make (3.80-6) unstable; urgency=low

  * make_3.80-5(ia64/unstable): FTBFS: missing build-depends?, Actually,
    no. I got bitten by the non support of build-deps-indep again. I have
    now duplicated the indep dependencies into build depends, so this
    should now work.
  * Added an explanation for the behaviour of make, which demonstrates
    that the dry-run of double colon rules and the behaviour of multi
    target rules is expected behaviour.
  * Bug fix: "make: strange behavior with multi-target rules", thanks to
    Ian Zimmerman. Not a bug, as documented in the explanations file
    referred to above.                                  (Closes: #218367).
  * Bug fix: "dry-run of double-colon rules?", thanks to Fumitoshi UKAI
    Not a bug, as documented in the explanations file referred to above.
                                                       (Closes: #214592).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Feb 2004 17:14:51 -0600

make (3.80-5) unstable; urgency=low

  * Moved to the new build system, and arch.
  * Updated to the latest policy version
  * Bug fix: "make uses a way old Polish translation", thanks to Michał
    Politowski. I actually updated a whole set of .po files from the
    translation project.                                (Closes: #229620).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 2004 17:09:47 -0600

make (3.80-4) unstable; urgency=low

  * Add AM_MAINTAINER_MODE to config.in, and regenerate all autoconf
    related files.
  * Mention that the documentation is distributed under the GFDL.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 24 Sep 2003 03:39:12 -0500

make (3.80-3) unstable; urgency=low

  * Fixed usage of chown root.root in the rules files.
  * Updates all the auto* files with the latest version of the tool
    chain. It should now work with the newest versions. Removed automake
    as build a dependency. Thanks to Santiago Vila <sanvila@unex.es> for
    noticing this, and providing a patch, though the patch was not used
    for this version.  closes: Bug#210881

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Sep 2003 14:32:15 -0500

make (3.80-2) unstable; urgency=low

  * "*** virtual memory exhausted" fixed in mainline CVS. Backported
    thanks to Samium Gromoff. The fix involves saving and restoring
    varible buffer contexts around eval'd code.              closes: Bug#197886

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 Jul 2003 15:38:10 -0500

make (3.80-1) unstable; urgency=low

  * New upstream version with various bugs fixed.
  * This bug was forwarded back to make, but make had already been
    fixed. In the new version, this has been fixed for real, as opposed to
    just having a workaround.                                closes: Bug#160174
  * depend on coreutils rather than the deprecated fileutils closes: Bug#161449
  * The new release also fixes this bug.          closes: Bug#144306, Bug#80783

    * A new feature exists: order-only prerequisites.  These prerequisites
      affect the order in which targets are built, but they do not impact
      the rebuild/no-rebuild decision of their dependents.  That is to say,
      they allow you to require target B be built before target A, without
      requiring that target A will always be rebuilt if target B is updated.
      Patch for this feature provided by Greg McGary <greg@mcgary.org>.

    * For compatibility with SysV make, GNU make now supports the peculiar
      syntax $$@, $$(@D), and $$(@F) in the prerequisites list of a rule.
      This syntax is only valid within explicit and static pattern rules: it
      cannot be used in implicit (suffix or pattern) rules.  Edouard
      G. Parmelan  <egp@free.fr> provided a patch implementing this
      feature; however, I decided to implement it in a different way.

    * The argument to the "ifdef" conditional is now expanded before it's
      tested, so it can be a constructed variable name.

      Similarly, the arguments to "export" (when not used in a variable
      definition context) and "unexport" are also now expanded.

    * A new function is defined: $(value ...).  The argument to this
      function is the _name_ of a variable.  The result of the function is
      the value of the variable, without having been expanded.

    * A new function is defined: $(eval ...).  The arguments to this
      function should expand to makefile commands, which will then be
      evaluated as if they had appeared in the makefile.  In combination
      with define/endef multiline variable definitions this is an extremely
      powerful capability.  The $(value ...) function is also sometimes
      useful here.

    * A new built-in variable is defined, $(MAKEFILE_LIST).  It contains a
      list of each makefile GNU make has read, or started to read, in the
      order in which they were encountered.  So, the last filename in the
      list when a makefile is just being read (before any includes) is the
      name of the current makefile.

    * A new built-in variable is defined: $(.VARIABLES).  When it is
      expanded it returns a complete list of variable names defined by all
      makefiles at that moment.

    * A new command-line option is defined, -B or --always-make.  If
      specified GNU make will consider all targets out-of-date even if they
      would otherwise not be.

    * The arguments to $(call ...) functions were being stored in $1, $2,
      etc. as recursive variables, even though they are fully expanded
      before assignment.  This means that escaped dollar signs ($$ etc.)
      were not behaving properly.  Now the arguments are stored as simple
      variables.  This may mean that if you added extra escaping to your
      $(call ...) function arguments you will need to undo it now.

    * The variable invoked by $(call ...) can now be recursive: unlike other
      variables it can reference itself and this will not produce an error
      when it is used as the first argument to $(call ...) (but only then).

    * New pseudo-target .LOW_RESOLUTION_TIME, superseding the configure
      option --disable-nsec-timestamps.  You might need this if your build
      process depends on tools like "cp -p" preserving time stamps, since
      "cp -p" (right now) doesn't preserve the subsecond portion of a time
      stamp.

    * Updated translations for French, Galician, German, Japanese, Korean,
      and Russian.  New translations for Croatian, Danish, Hebrew, and
      Turkish.

    * Updated internationalization support to Gettext 0.11.5.
      GNU make now uses Gettext's "external" feature, and does not include
      any internationalization code itself.  Configure will search your
      system for an existing implementation of GNU Gettext (only GNU Gettext
      is acceptable) and use it if it exists.  If not, NLS will be disabled.
      See ABOUT-NLS for more information.

    * Updated to autoconf 2.54 and automake 1.7.  Users should not be impacted.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Oct 2002 15:34:16 -0500

make (3.79.1-15) unstable; urgency=low

  * use which instead of command -v
  * Removed the /usr/doc symlinks. Moved to the new cflag and optimization
    rules. Bumped the standards version
  * Hack Makefile.in not to run the automake/aclocal.autoheader/autoconf
    junk, since they suddenly changed the interface.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Sep 2002 02:02:36 -0500

make (3.79.1-14) unstable; urgency=medium

  * Include all the docs in the make-doc package             closes: Bug#144195

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 23 Apr 2002 09:02:17 -0500

make (3.79.1-13) unstable; urgency=low

  * Incorporate a patch from "Paul D. Smith" <psmith@gnu.org> that fixes
    the problem in expansion of target specific variables.   closes: Bug#132646

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Feb 2002 10:50:43 -0600

make (3.79.1-12) unstable; urgency=low

  * Fixed lintian warnings.
  * added upstream location to the description.
  * The upstream author has clarified that the behaviour described is not
    a bug, but a consciously chosen tone. Theere is a workaround  to this
    problem: (put the "include b.mak" _inside_ of the a.mak file, so that
    GNU make won't see it until after it includes a.mak, whereupon it will
    also know how to build b.mak).                           closes: Bug#62051

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 26 Jan 2002 00:01:26 -0600

make (3.79.1-11) unstable; urgency=low

  * Add a build dependency on texinfo, without which info files were not
    being provided on all architectures.                     closes: Bug#124165
  * When make gets ready to build a target, it evaluates all commands
    needed to build that target at once, before the first line is
    invoked. Thus the behaviour displayed is not a bug       closes: Bug#119663
  * All variable and function expansion for targets and prerequisite lists
    occurs when the makefile is read in, well before any sort of pattern
    expansion occurs; so these functions are operating on the static
    string "%", not the string it will expand to after pattern matching.
                                                             closes: Bug#110728

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 Jan 2002 01:45:51 -0600

make (3.79.1-10) unstable; urgency=low

  * Acknowledgement of NMU's         closes: Bug#107943, Bug#107944, Bug#108632
  * Don't drag in librt and libpthread unless we need to.    closes: Bug#107704
  * Make sure the documentation is included in the package.  closes: Bug#109080

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 19 Aug 2001 23:44:55 -0500

make (3.79.1-9.2) unstable; urgency=low

  * NMU
  * Move gettext to Build-Depends (instead of -Indep).  Closes: #108632.

 -- LaMont Jones <lamont@debian.org>  Mon, 13 Aug 2001 20:55:04 -0600

make (3.79.1-9.1) unstable; urgency=low

  * Non maintainer upload on behalf of Manoj.
  * Added gettext to duild-depends.

 -- Roland Mas <lolando@debian.org>  Mon, 13 Aug 2001 10:21:00 +0200

make (3.79.1-9) unstable; urgency=low

  * The french translation of this application translates 'free software'
    into 'logiciel gratuit' instead of 'logiciel libre'.     closes: Bug#106720

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 31 Jul 2001 01:20:57 -0500

make (3.79.1-8) unstable; urgency=low

  * s/#@/$@@/ in the texinfo file.                           closes: Bug#104130

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Jul 2001 21:49:58 -0500

make (3.79.1-7) unstable; urgency=low

  * Updated config.sub/config.gues from a recent version. This
    closes: Bug#99122

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  4 Jul 2001 20:36:22 -0500

make (3.79.1-6) unstable; urgency=low

  * Added a fix from "Paul D. Smith" <psmith@gnu.org> that fixes a problem
    with make not echoing commands correctly. closes: Bug#72802

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 May 2001 09:19:58 -0500

make (3.79.1-5) unstable; urgency=low

  * fixed command execution in make. closes: Bug#89310

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 25 Apr 2001 02:52:38 -0500

make (3.79.1-4) unstable; urgency=medium

  * GNgngngng. The last upload is broken, thanks to the autoconf
    breakage. This also breaks fakeroot, since make tries to add/drop seteuid
    priviledges when it shouldn't. closes: #84201
    closes: Bug#84184, Bug#84182, Bug#84185, Bug#84179, Bug#84198

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 30 Jan 2001 19:45:58 -0600

make (3.79.1-3) unstable; urgency=medium

  * A bug in autoconf made make setgid kmem. That opens up /dev/kmem and
    /dev/mem to make processes in a mistaken assumption that one needs to
    be setgid kmem to read loadaverages on linux. This version has been
    built with a modified autoconf not to do that, and as a precaution
    does not install make setgid kmem.
  * Make sure the binary is stripped as per lintian requirements.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 30 Jan 2001 15:16:49 -0600

make (3.79.1-2) unstable; urgency=low

  * Added a CRLF patch that is already in make CVS, and has recieved
    extensive testing, and fixes an issue with reading files.
  * Added the patch that fixes a polish grammar issue with the
    informational messages make emits. (an alternate solution is in
    upstream). closes: Bug#72414

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 30 Jan 2001 11:25:08 -0600

make (3.79.1-1.potato.1) stable; urgency=low

  * This is an update for potato. There are no changes made since the
    update for woody 45 days ago. The old make did not honour the
    MAKEFILES variable, this closes: Bug#71261
  * I have heard rimours that the old make did not correctly build libc
    either, and one needs this version. I can't say for sure, since no bug
    was ever filed.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2000 14:04:10 -0500

make (3.79.1-1) unstable; urgency=low

  * New upstream release. closes: Bug#67862
    * .SECONDARY with no prerequisites now prevents any target from being
       removed because make thinks it's an intermediate file, not just those
       listed in the makefile.
    * New configure option --disable-nsec-timestamps will keep make from
      using sub-second timestamps on systems which support it.  If your
      build process depends on proper timestamp-preserving behavior of tools
      like "cp -p" you might need this option, since "cp -p" (right now)
      doesn't preserve the sub-second portion of the timestamp.
  * Folded Adam Heath's fix for $(shell). closes: #67568

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 28 Jul 2000 16:15:10 -0500

make (3.79-2.1) unstable; urgency=low

  * Set the first byte of buffer to 0, in func_shell.  Closes: #67568.

 -- Adam Heath <doogie@debian.org>  Fri, 21 Jul 2000 18:43:17 -0500

make (3.79-2) unstable; urgency=low

  * Hmm. Setting the install prefix to a relative value does not work; the
    locale files were not installed in debian/tmp/usr/share/locale, but
    locallyinto i18n/debian/tmp/usr/share/locale. This has been fixed
    now. closes: Bug#66237

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 12 Jul 2000 10:05:53 -0500

make (3.79-1) unstable; urgency=low

  * New upstream release, adds fixes already present in Debian. This
    closes: Bug#62619
    changes are:
     * GNU make optionally supports internationalization and locales via
       the GNU gettext (or local gettext if suitable) package.  See the
       ABOUT-NLS file for more information on configuring GNU make for
       NLS.
     * Previously, GNU make quoted variables such as MAKEFLAGS and
       MAKEOVERRIDES for proper parsing by the shell.  This allowed them to
       be used within make build scripts.  However, using them there is not
       proper behavior: they are meant to be passed to subshells via the
       environment.  Unfortunately the values were not quoted properly to be
       passed through the environment.  This meant that make didn't properly
       pass some types of command line values to submakes.

       With this version we change that behavior: now these variables are
       quoted properly for passing through the environment, which is the
       correct way to do it.  If you previously used these variables
       explicitly within a make rule you may need to re-examine your use for
       correctness given this change.
     * A new psuedo-target .NOTPARALLEL is available.  If defined, the
       current makefile is run serially regardless of the value of -j.
       However, submakes are still eligible for parallel execution.
     * The --debug option has changed: it now allows optional flags
       controlling the amount and type of debugging output.  By default only
       a minimal amount information is generated, displaying the names of
       "normal" targets (not makefiles) were deemed out of date and in need
       of being rebuilt.

       Note that the -d option behaves as before: it takes no arguments and
       all debugging information is generated.
     * The `-p' (print database) output now includes filename and linenumber
       information for variable definitions, to help debugging.
     * The wordlist function no longer reverses its arguments if the "start"
       value is greater than the "end" value.  If that's true, nothing is
       returned.
     * Hartmut Becker provided many updates for the VMS port of GNU make.
       See the readme.vms file for more details.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 28 Apr 2000 17:37:53 -0500

make (3.78.1-8) frozen unstable; urgency=low

  * Use absolute links when related links would not work, for the
    /usr/doc/ symlink.
  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Mar 2000 01:58:05 -0600

make (3.78.1-7) frozen unstable; urgency=low

  * Fixed security fix to match upstream changes. Fixed an upgrade bug when
    /usr/doc happens to be a symlink, and does not point to
    /usr/share/doc. A couple of people were bitten by this.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

make (3.78.1-6) frozen unstable; urgency=high

  * Use mkstemp where available. This fixes a security bug in make.
    The bug report does not seem to have made its way into the bts yet.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Feb 2000 18:07:20 -0600

make (3.78.1-5) frozen unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug.
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 15:46:36 -0600

make (3.78.1-4) frozen unstable; urgency=low

  * Added a glibc fix to dir.c (the bug expressed itself as a wildards
    bug). Thaks go to  Richard B. Kreckel for spotting the bug, and to
    Andreas Jaeger and Joel Klecker for the solution.  Forwarded fix upstream.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Feb 2000 01:18:30 -0600

make (3.78.1-3) unstable; urgency=low

  * Release to fold in NMU fixed bugs. closes: Bug#47686, #47362, #49137, #49381
  * Changed the root check to look for uid 0, not the username root (think
    sashroot or toor)

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  3 Feb 2000 02:06:06 -0600

Old Changelog:

make (3.78.1-1.1) unstable; urgency=low

   * Non maintainer upload.
   * Changed debian/docentry to point to /usr/share/doc instead of
     /usr/doc (closes: #47686, #47362, #49137, #49381).

 -- Torsten Landschoff <torsten@debian.org> Sun,  21 Nov 1999 01:30:56 +0100

make (3.78.1-2) unstable; urgency=low

  * Updated to the latest version. closes: Bug#46902
  * New upstream deleted mention of where to find info files (/usr/info/
    or /usr/share/info). closes: Bug#49886
  * Fix location where the man page is installed. closes: Bug#47736

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  1 Dec 1999 11:34:17 -0600

make (3.78.1-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Changed debian/docentry to point to /usr/share/doc instead of
    /usr/doc (closes: #47686, #47362, #49137, #49381).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 21 Nov 1999 01:30:56 +0100

make (3.78.1-1) unstable; urgency=low

  * New upstream release, which fixes a number of problems.
  * Moved to the FHS

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Oct 1999 22:11:03 -0500

make (3.77-7) unstable; urgency=low

  * Added patch from the author to correct ?= behaviour. closes: 37526

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 May 1999 23:21:59 -0500

make (3.77-6) unstable; urgency=low

  * Added support fro doc base. closes: Bug#31184
  * Upgraded all maintainer scripts to my latest standards
  * Upgraded to the latest standards version (no changes were required)

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 27 Feb 1999 22:39:29 -0600

make (3.77-5) unstable; urgency=low

  * Fixed a minor typo in documentation. fixes: BUG#31506

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 25 Jan 1999 16:55:00 -0600

make (3.77-4) frozen unstable; urgency=medium

  * Somehow, aclocal.m4 got unpatched, and created a dependency on
    libelf. Reapplied patch. This should now not create a spurious
    dependency on libelfg0 even if the gremlins cause automake to be run
    to recreate configure. closes: BUG#29135

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  7 Nov 1998 23:29:40 -0600

make (3.77-3) frozen unstable; urgency=high

  * Appled more patches to fix the glob problem with the new glibc. patch
    provided by Christopher C Chimelis <chris@classnet.med.miami.edu>.
    closes: BUG#28723, BUG#28724

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  3 Nov 1998 17:47:55 -0600

make (3.77-2) unstable; urgency=low

  * Applied patch to correct glob problems that make has with glibc
    2.0.9x. I had to additionally patch aclocal.m4 in ./glob/ in order to
    compile. Seems to work OK on i386. closes: BUG#26785
  * Removed icon=none from the menuentry for the documentation. This
    saitsfies lintian.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Sep 1998 14:32:08 -0500

make (3.77-1) unstable; urgency=low

  * New upstream version. Excerpted changes:
    * Implement BSD make's "?=" variable assignment operator.  The variable
      is assigned the specified value only if that variable is not already
      defined.
    * Make defines a new variable, "CURDIR", to contain the current working
      directory (after the -C option, if any, has been processed).
      Modifying this variable has no effect on the operation of make.
    * Make defines a new default RCS rule, for new-style master file
      storage: ``% :: RCS/%'' (note no ``,v'' suffix).

      Make defines new default rules for DOS-style C++ file naming
      conventions, with ``.cpp'' suffixes.  All the same rules as for
      ``.cc'' and ``.C'' suffixes are provided, along with LINK.cpp and
      COMPILE.cpp macros (which default to the same value as LINK.cc and
      COMPILE.cc).  Note CPPFLAGS is still C preprocessor flags!  You should
      use CXXFLAGS to change C++ compiler flags.
    * A new feature, "target-specific variable values", has been added.
      This is a large change so please see the appropriate sections of the
      manual for full details.  Briefly, syntax like this:

         TARGET: VARIABLE = VALUE

      defines VARIABLE as VALUE within the context of TARGET.  This is
      similar to SunOS make's "TARGET := VARIABLE = VALUE" feature.  Note
      that the assignment may be of any type, not just recursive, and that
      the override keyword is available.

      COMPATIBILITY: This new syntax means that if you have any rules where
      the first or second dependency has an equal sign (=) in its name,
      you'll have to escape them with a backslash: "foo : bar\=baz".
      Further, if you have any dependencies which already contain "\=",
      you'll have to escape both of them: "foo : bar\\\=baz".
    * A new appendix listing the most common error and warning messages
      generated by GNU make, with some explanation, has been added to the
      GNU make User's Manual.
    * Updates to the GNU make Customs library support (see README.customs).
    * Updates to the Windows 95/NT port from Rob Tulloh (see README.W32),
      and to the DOS port from Eli Zaretski (see README.DOS).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 31 Jul 1998 10:30:43 -0500

make (3.76.1-8) unstable; urgency=low

  * Move info page removal to prerm as per policy.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 25 Feb 1998 17:38:10 -0600

make (3.76.1-7) unstable; urgency=low

  * Mentioned the fact that the GPL is available on the filesystem in the
    copyright file.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Feb 1998 13:16:58 -0600

make (3.76.1-6) unstable; urgency=low

  * Fixed the old fsf version in the copyright file.
  * Read the new policy document. I think make complies with 2.4.0.0, so
    it has been upgraded.
  * That fixes all the problems reported by lintian.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Feb 1998 13:07:56 -0600

make (3.76.1-5) unstable; urgency=low

  * Give a changed info dir descriotion, so that a simple "info make" does
    the right thing. closes:Bug#14879.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 Nov 1997 00:50:22 -0600

make (3.76.1-4) unstable; urgency=low

  * Make sure the copyright file is not compressed.
    closes:Bug#14426,Bug#14427

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  5 Nov 1997 11:53:03 -0600

make (3.76.1-3) unstable; urgency=low

  * With Stellar help from Stephen Zander <srz@mckesson.com>, changed the
    aclocal.m4 file (already present in the upstream sources) to override
    the function that checks for libelf. This should now not create a
    spurious dependency on libelfg0 even if the gremlins cause automake to
    be run to recreate configure.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 29 Oct 1997 14:22:37 -0600

make (3.76.1-2) unstable; urgency=low

  * Removed dependency on libelf by convincinf configure that unlike
    Solaris, Linux does not need an explicit -lelf (again).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 25 Oct 1997 02:24:13 -0500

make (3.76.1-1) unstable; urgency=low

  * Small (but serious) bug fix. main.c (main): Arg count should be int,
    not char!  Major braino.
  * changes to upstream Makefiles

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  3 Oct 1997 11:53:45 -0500

make (3.76-1) unstable; urgency=low

  * New upstream update. Changes:
       * GNU make now uses automake to control Makefile.in generation.  This
         should make it more consistent with the GNU standards.
       * VPATH functionality has been changed to incorporate the VPATH+ patch,
         previously maintained by Paul Smith <psmith@baynetworks.com>.  See the
         manual.
       * Make defines a new variable, `MAKECMDGOALS', to contain the goals that
         were specified on the command line, if any.  Modifying this variable
         has no effect on the operation of make.
       * A new function, `$(wordlist S,E,TEXT)', is available: it returns a
         list of words from number S to number E (inclusive) of TEXT.
       * Instead of an error, detection of future modification times gives a
         warning and continues.  The warning is repeated just before GNU make
         exits, so it is less likely to be lost.
       * Fix the $(basename) and $(suffix) functions so they only operate on
         the last filename, not the entire string:
             Command              Old Result             New Result
             -------              ----------             ----------
           $(basename a.b)        a                      a
           $(basename a.b/c)      a                      a.b/c
           $(suffix a.b)          b                      b
           $(suffix a.b/c)        b/c                    <empty>
       * The $(strip) function now removes newlines as well as TABs and spaces.
       * The $(shell) function now changes CRLF (\r\n) pairs to a space as well
         as newlines (\n).
       * Updates to the Windows 95/NT port from Rob Tulloh (see README.W32).
       * Eli Zaretskii has updated the port to 32-bit protected mode on MSDOS
         and MS-Windows, building with the DJGPP v2 port of GNU C/C++ compiler
         and utilities.  See README.DOS for details, and direct all questions
         concerning this port to Eli Zaretskii <eliz@is.elta.co.il> or DJ
         Delorie <dj@delorie.com>.
       * John W. Eaton has updated the VMS port to support libraries and VPATH.
  * Make sure that the manual pages are installed.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 16 Sep 1997 23:23:27 -0500

make (3.75-6) unstable; urgency=low

  * Built with libc6

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 May 1997 11:07:17 -0500

make (3.75-5) unstable; urgency=low

  * Improved postinst/postrm scripts
  * Added menu entry for the HTML files provided by make-doc
  * Added documentation package make-doc

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 7 May 1997 18:17:47 -0501

make (3.75-4) unstable; urgency=low

  * Removed HTML files because of size considerations. This fixes Bug#7867.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 6 Mar 1997 14:34:00 -0600

make (3.75-3) unstable; urgency=low

  * Added more documents to the /usr/doc/make directory.
  * Added dww index
  * Added HTML documentation to /usr/doc/make
  * Removed dependency on libelf by convincinf configure that unlike
    Solaris, Linux does not need an explicit -lelf. This fixes Bug#7807

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 4 Mar 1997 10:36:14 -0600

make (3.75-2) unstable; urgency=low

  * Moved to standards version 2.1.2.2
  * Removed extra root checks
  * Added error messages to failed root check

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Feb 1997 14:52:36 -0600

make (3.75-1) unstable; urgency=low

  * Use dpkg-shlibdep instead of hardcoding the dependency in the control
    file.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 8 Nov 1996 14:42:11 -0600

make (3.75-0) unstable; urgency=low

  * Changed to the new format.
  * New upstream version

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 7 Nov 1996 17:42:34 -0600

make (3.74-12) unstable; urgency=low
  * Added patch to job.c to allow make to exec scripts which do not
    have the #! magic as the first line.  This fixed Bug#1149
  * Added architecture header in control
  * added section header
  * merged the package revision header into the revision header.
  * cleaned up the debian.rules.
  * added the Changelog.
  * Fixed the description field not to include multiple contiguous
    spaces

  -- Manoj Srivastava <srivasta@debian.org>
